Bug 429277 - mpage doesn't handle UTF-8 input
mpage doesn't handle UTF-8 input
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mpage (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-18 08:44 EST by Horst H. von Brand
Modified: 2008-07-22 02:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-22 02:05:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A textfile (UTF-8) that shows the problem when mpage'd (105 bytes, text/plain)
2008-01-18 08:44 EST, Horst H. von Brand
no flags Details
The postscript file generated here (4.74 KB, application/octet-stream)
2008-01-18 08:46 EST, Horst H. von Brand
no flags Details

  None (edit)
Description Horst H. von Brand 2008-01-18 08:44:39 EST
Description of problem:
When doing, eg.

   mpage -1H UTF-8-file | lpr

the output for accented characters (Spanish printed here ;-) is gibberish.

Version-Release number of selected component (if applicable):
mpage-2.5.6-1.fc9

How reproducible:
Always

Steps to Reproduce:
1. mpage tstfile.txt > tstfile.ps
2. evince tstfile.ps
3.
  
Actual results:
tstfile.ps is gibberish

Expected results:
Correctly rendered text

Additional info:
Comment 1 Horst H. von Brand 2008-01-18 08:44:39 EST
Created attachment 292140 [details]
A textfile (UTF-8) that shows the problem when mpage'd
Comment 2 Horst H. von Brand 2008-01-18 08:46:28 EST
Created attachment 292141 [details]
The postscript file generated here
Comment 3 Tomas Smetana 2008-01-21 06:25:22 EST
I don't think this has ever worked.  I'll try to look at the problem but the
required changes in the code would be nontrivial so I don't promise anything.
Comment 4 Horst H. von Brand 2008-01-22 17:01:31 EST
Perhaps the simplest solution is to recode(1) into Latin-1...
Comment 5 Tomas Smetana 2008-01-23 01:55:43 EST
(In reply to comment #4)
> Perhaps the simplest solution is to recode(1) into Latin-1...

No. It's not a solution.  The goal is NOT to lose the national characters.  As
for Spanish the recoding should go through ISO-8859-15 (supported by mpage) but
there are other languages with other alphabets where mpage fails.
Comment 6 Bug Zapper 2008-05-14 00:48:31 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Tomas Smetana 2008-07-22 02:05:46 EDT
Sorry.  I don't think I can fix this.

Note You need to log in before you can comment on or make changes to this bug.